import { Type } from '@sinclair/typebox';
import { validatedFetch } from './validatedFetch.js';
/**
 * @link https://api.nrfcloud.com/v1/#tag/Bulk-Ops-Requests/operation/FetchBulkOpsRequest
 */
export const BulkOpsRequestType = Type.Object({
    bulkOpsRequestId: Type.String(), // e.g. '01EZZJVDQJPWT7V4FWNVDHNMM5'
    status: Type.Union([
        Type.Literal('PENDING'),
        Type.Literal('IN_PROGRESS'),
        Type.Literal('FAILED'),
        Type.Literal('SUCCEEDED'),
    ]),
});
export const bulkOpsRequests = ({ apiKey, endpoint, }, fetchImplementation) => async (bulkOpsId) => {
    const vf = validatedFetch({ endpoint, apiKey }, fetchImplementation);
    return vf({
        resource: `bulk-ops-requests/${encodeURIComponent(bulkOpsId)}`,
    }, BulkOpsRequestType);
};
