import { type Static } from '@sinclair/typebox';
import type { FetchError } from './FetchError.js';
import type { ValidationError } from './validatedFetch.js';
declare const AccountInfoType: import("@sinclair/typebox").TObject<{
    mqttEndpoint: import("@sinclair/typebox").TString;
    mqttTopicPrefix: import("@sinclair/typebox").TString;
    team: import("@sinclair/typebox").TObject<{
        tenantId: import("@sinclair/typebox").TString;
        name: import("@sinclair/typebox").TString;
    }>;
}>;
export type AccountInfo = Static<typeof AccountInfoType>;
export declare const getAccountInfo: ({ apiKey, endpoint, }: {
    apiKey: string;
    endpoint: URL;
}, fetchImplementation?: typeof fetch) => Promise<{
    error: FetchError | ValidationError;
} | {
    result: AccountInfo;
}>;
export {};
